Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tadanghai1991

[Help] Em mới học lisp cần mọi người chỉ giáo

Các bài được khuyến nghị

Chẳng là sang học kì mới em đc học môn lập trình cad/cam. Thầy giáo có cho 2 cái bài này em tìm gg mãi chẳng thấy có cái liên quan, đc cái ông giáo cũng dạy chả hiểu gì. Mọi người giúp em với. Tks các bác!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình đọc mail, định code giúp bạn, nhưng chẳng hiểu bạn đã học được những gì ở LISP, cũng k hiểu bạn khó hiểu chỗ nào. Bạn bí ý tưởng, hay thuật toán, hay hàm cần có ... ? Bạn chia sẻ lên đây nhé.

Code giúp bạn có thể nhanh, nhưng như vậy sau này bạn có tự làm được gì không ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

P/s : mình cũng đã thử viết, cũng chỉ mất 5p và chưa thấy vấn đề nào khó về toán học ở đây cả. Bạn khó chỗ nào ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Câu 1 hàm điều kiện, câu 2 có một chút tính toán điểm, cả 2 nhóc đều chưa tới, n sắp tới rồi :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em cần code thôi, ai giúp em có thể post tại topic hoặc gửi vào mail tadanghai1991@gmai.con. Tks!

 

(defun c:tinha ( / x KQ)
 (setq x (getreal "nhap so thuc x "))
 (if (and ( > x 2 )(< x (* 2 pi)))
(progn
 	(princ (strcat "gia tri x da nhap: " (rtos x ) " thoa man 2 < " (rtos x ) " < 2pi"))
 	(princ)
 	(setq KQ (sin (/ (- ( * 5 x) 2) (sqrt (- x 2)))))
 	)
(progn
 	(princ (strcat "gia tri x da nhap: " (rtos x ) "/nphai tinh theo co (2 + 5x)" ))
 	(princ)
 	(setq KQ (cos (+ 2 (* 5 x))))
 	)
)
 (princ KQ)
 (princ)
 )
(defun c:ve (/ p r  A B C D os k)
 (setvar "cmdecho" 0)
 (setq p (getpoint "/nNhap toa do diem A")
r (getdist "/nNhap r"))
 (progn
 (setq os (getvar "osmode"))
 (setvar "osmode" 0)
 (defun chuyen (p x y z)
(mapcar '+
	p
	(list x y z))
) 
 (setq A p
B (chuyen A r 0 0)
C (chuyen A r r 0)
D (chuyen A 0 r 0))
 (command "line" A B C D A "")
 (command "Arc" "c" A B D)
 (command "Arc" "c" C D B)
 )
 (setq k (* 0.2 (distance A D))
A1 (chuyen A k k 0))
 (command "BOUNDARY" A1 "")
 (command "area" "o" "l")
 (Princ (strcat "Dien tich hinh la " (rtos (* 2 (getvar "area")))))
 (princ)
 (setvar "osmode" os)
 (setvar "cmdecho" 1)
 )

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×